THREATINT

We use these services and cookies to improve your user experience. You may opt out if you wish, however, this may limit some features on this site.

Please see our statement on Data Privacy.

Fathom (Privacy friendly web analytics)
Zendesk (Helpdesk and Chat)

Ok

Home | EN
Support
CVE
PUBLISHED

CVE-2024-5217

Incomplete Input Validation in GlideExpression Script

AssignerSN
Reserved2024-05-22
Published2024-07-10
Updated2024-07-15

Description

ServiceNow has addressed an input validation vulnerability that was identified in the Washington DC, Vancouver, and earlier Now Platform releases. This vulnerability could enable an unauthenticated user to remotely execute code within the context of the Now Platform. The vulnerability is addressed in the listed patches and hot fixes below, which were released during the June 2024 patching cycle. If you have not done so already, we recommend applying security patches relevant to your instance as soon as possible.



CRITICAL: 9.2CVSS:4.0/AV:N/AC:L/AT:P/PR:N/UI:N/VC:H/VI:H/VA:H/SC:N/SI:N/SA:N
CRITICAL: 9.8CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Problem types

CWE-184 Incomplete List of Disallowed Inputs

Product status

Default status
unaffected

Any version before Utah Patch 10 Hot Fix 3
affected

Any version before Utah Patch 10a Hot Fix 2
affected

Any version before Utah Patch 10b Hot Fix 1
affected

Any version before Vancouver Patch 6 Hot Fix 2
affected

Any version before Vancouver Patch 7 Hot Fix 3b
affected

Any version before Vancouver Patch 8 Hot Fix 4
affected

Any version before Vancouver Patch 9 Hot Fix 1
affected

Any version before Vancouver Patch 10
affected

Any version before Washington DC Patch 1 Hot Fix 3b
affected

Any version before Washington DC Patch 2 Hot Fix 2
affected

Any version before Washington DC Patch 3 Hot Fix 2
affected

Any version before Washington DC Patch 4
affected

Any version before Washington DC Patch 5
affected

Credits

Adam Kues finder

Assetnote Attack Surface Management finder

References

https://support.servicenow.com/kb?id=kb_article_view&sysparm_article=KB1648313

https://support.servicenow.com/kb?id=kb_article_view&sysparm_article=KB1644293

cve.org CVE-2024-5217

nvd.nist.gov CVE-2024-5217

Download JSON

Share this page
https://cve.threatint.com/CVE/CVE-2024-5217
© Copyright 2024 THREATINT. Made in Cyprus with +